net.sf.jasperreports.engine.fill

## Class JRTemplateLine

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplateElement
  - - net.sf.jasperreports.engine.fill.JRTemplateGraphicElement
    - - net.sf.jasperreports.engine.fill.JRTemplateLine

- All Implemented Interfaces:
    java.io.Serializable, Deduplicable, JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer

      public class JRTemplateLine
      extends JRTemplateGraphicElement

  Line element information shared by multiple print line objects.
  Version:
    $Id: JRTemplateLine.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRTemplatePrintLine`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LineDirectionEnum` | `directionValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement

      `linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `defaultStyleProvider, origin, parentStyle`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `JRTemplateLine(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates a template line.
    `protected` | `JRTemplateLine(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRLine line)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LineDirectionEnum` | `getDirectionValue()`
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.
    `void` | `setDirection(LineDirectionEnum directionValue)`
    `protected void` | `setLine(JRLine line)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateGraphicElement

      `addGraphicHash, copyLinePen, getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, graphicIdentical, setFill, setGraphicElement`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `addTemplateHash, getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setStyle, templateIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### directionValue

          protected LineDirectionEnum directionValue

  - ### Constructor Detail

    - #### JRTemplateLine

          protected JRTemplateLine(JROrigin origin,
                        JRDefaultStyleProvider defaultStyleProvider,
                        JRLine line)

    - #### JRTemplateLine

          public JRTemplateLine(JROrigin origin,
                        JRDefaultStyleProvider defaultStyleProvider)

      Creates a template line.
      Parameters:
        `origin` - the origin of the elements that will use this template
        `defaultStyleProvider` - the default style provider to use for this template

  - ### Method Detail

    - #### setLine

          protected void setLine(JRLine line)

    - #### getDirectionValue

          public LineDirectionEnum getDirectionValue()

    - #### setDirection

          public void setDirection(LineDirectionEnum directionValue)

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com